Menu
Game System Requirements Google+ profile
Game System Requirements Google+ profile
Game System Requirements Google+ profile
Game System Requirements Facebook profile
LEGO Harry Potter: Years 5-7
LEGO Harry Potter: Years 5-7
Release Date: 2011. November 21. (PC)
Sys. Reqs.: Very low (6)
Popularity: ~790# ■
Értékelések átlaga: 8.6
Genre: Action, Adventure
Developer: Traveller's Tales
Publisher: Warner Bros. Interactive Entertainment
iThere are only official system requirements on the site which are released by developers or an official publisher.
Minimum system requirements:
CPU:
Dual Core CPU @ 2GHz (Pentium D or better)
RAM:
1GB RAM
GPU:
Shader Model 3 graphics card (NVIDIA GeForce 6800, 7800, 8xxx or better; ATI X1950 or better)
OS:
Windows XP SP3 Vista or Windows 7 http://gamesystemrequirements.com/
Store:
8.5 GB free HDD space
Comparison:
Compare the system requirements with a configuration added by you.
Videos:
LEGO Harry Potter Years 5-7 Locations Gameplay TrailerLEGO Harry Potter Years 5-7 Spells Gameplay TrailerLEGO Harry Potter Years 5-7 Launch TrailerLEGO Harry Potter Years 5-7 Trailer
Similar games:
Tomb Raider: UnderworldAssassin's Creed: RevelationsWatch Dogs 2Aragami
Post Comment
Please login to post a comment.
Comments
No comments have been posted. Be the first to comment!
Vote
Do you make or watch game review videos?







You must log in to vote.